Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155596 - DB PEAR extension wrongly installed
Summary: DB PEAR extension wrongly installed
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-21 17:52 UTC by Marius Andreiana
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-22 09:03:34 UTC


Attachments (Terms of Use)

Description Marius Andreiana 2005-04-21 17:52:59 UTC
php source rpm includes DB, the PEAR extension. However, it's installed in
/usr/share/pear/DB
instead of
/usr/share/pear

This makes it unusable.

Comment 1 Joe Orton 2005-04-22 09:03:34 UTC
It always has been there and /usr/share/pear/DB.php knows where it is.  What is
your include_path set to in /etc/php.ini?



Comment 2 Marius Andreiana 2005-04-22 10:03:44 UTC
In 5.0.4-2 which I had it was like this:
rpm -ql php-pear|grep DB
/usr/share/pear/DB
/usr/share/pear/DB/DB
/usr/share/pear/DB/DB.php
/usr/share/pear/DB/DB/common.php

It is fixed in the most recent version by changing installation in spec to
# Add some standard PEAR packages which are no longer shipped upstream
pushd pear/packages
cp ...


It used to be 
pushd pear
 tar xzf %{SOURCE20}
 mv DB-* DB
 sed '/<file /s,name=",name="DB/,' package.xml > package-DB.xml
 rm package.xml
popd

Thanks


Note You need to log in before you can comment on or make changes to this bug.